import { z } from 'zod';

// Define custom validation messages
const validationMessages = {
    name: {
        minLength: 'Name must be at least 3 characters.',
        maxLength: 'Name must contain at most 10 characters.',
    },
    email: {
        isEmail: 'Invalid email address.',
    },
};

export const UserSchema = z.object({
    name: z.string().min(3, validationMessages.name.minLength).max(10, validationMessages.name.maxLength),
    email: z.string().email(validationMessages.email.isEmail),
});
